## org.apache.http.conn
Class HttpInetSocketAddress

    java.lang.Object
      java.net.SocketAddress
          java.net.InetSocketAddress
              org.apache.http.conn.HttpInetSocketAddress

All Implemented Interfaces:
  Serializable

    public class HttpInetSocketAddress

extends InetSocketAddress

Extended `InetSocketAddress` implementation that also provides access to the original `HttpHost` used to resolve the address.

Since:
  4.2
See Also:
  Serialized Form

Constructor Summary
`HttpInetSocketAddress(HttpHost httphost, InetAddress addr, int port)`

Method Summary
`HttpHost` `getHttpHost()`
`String` `toString()`

Methods inherited from class java.net.InetSocketAddress
`createUnresolved, equals, getAddress, getHostName, getPort, hashCode, isUnresolved`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpInetSocketAddress

    public HttpInetSocketAddress(HttpHost httphost,
                                 InetAddress addr,
                                 int port)

Method Detail

### getHttpHost

    public HttpHost getHttpHost()

### toString

    public String toString()

  Overrides:
    `toString` in class `InetSocketAddress`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.